E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::DirectoryIteratorImp Class Reference

A pimple-pattern implementation class for DirectoryIterator using opendir()/readdir(). More...

## Public Member Functions
| DirectoryIteratorImp (const Directory &dir)
bool | isDir () const
bool | more ()
bool | error () const
std::string | sizeString () const
Path | filePath () const
std::string | fileName () const

## Detailed Description

A pimple-pattern implementation class for DirectoryIterator using opendir()/readdir().

Definition at line 44 of file gdirectory_unix.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gdirectory_unix.cpp